diff -rupN VirtualBox-3.0.8_OSE/src/VBox/Installer/linux/VBox.sh new-vbox/src/VBox/Installer/linux/VBox.sh
--- VirtualBox-3.0.8_OSE/src/VBox/Installer/linux/VBox.sh	2009-10-02 05:10:47.000000000 -0400
+++ new-vbox/src/VBox/Installer/linux/VBox.sh	2009-10-07 21:30:34.274456235 -0400
@@ -36,17 +36,20 @@ elif ! lsmod|grep -q vboxdrv; then
     cat << EOF
 WARNING: The vboxdrv kernel module is not loaded. Either there is no module
          available for the current kernel (`uname -r`) or it failed to
-         load. Please recompile the kernel module and install it by
-
-           sudo /etc/init.d/vboxdrv setup
+         load. Please recompile the kernel module and install it by doing
+         he following as root
 
+           /etc/rc.d/rc.vboxdrv setup
+           
+		You may need to install the kernel source package	
          You will not be able to start VMs until this problem is fixed.
 EOF
 elif [ ! -c /dev/vboxdrv ]; then
     cat << EOF
-WARNING: The character device /dev/vboxdrv does not exist. Try
-
-           sudo /etc/init.d/vboxdrv restart
+WARNING: The character device /dev/vboxdrv does not exist. Try doing the	
+         following as root:
+          
+           /etc/rc.d/rc.vboxdrv restart
 
          and if that is not successful, try to re-install the package.
 
diff -rupN VirtualBox-3.0.8_OSE/src/VBox/Installer/linux/vboxdrv.sh.in new-vbox/src/VBox/Installer/linux/vboxdrv.sh.in
--- VirtualBox-3.0.8_OSE/src/VBox/Installer/linux/vboxdrv.sh.in	2009-10-02 05:10:47.000000000 -0400
+++ new-vbox/src/VBox/Installer/linux/vboxdrv.sh.in	2009-10-07 21:04:48.013754614 -0400
@@ -2,6 +2,10 @@
 # Sun VirtualBox
 # Linux kernel module init script
 
+## Modified by Richard Lapointe 2009-10-8
+## richard_at_laprjns.com
+## Changed "vboxusers" to "users" in 1 place
+
 #
 # Copyright (C) 2006-2009 Sun Microsystems, Inc.
 #
@@ -32,7 +36,7 @@
 
 PATH=/sbin:/bin:/usr/sbin:/usr/bin:$PATH
 DEVICE=/dev/vboxdrv
-GROUPNAME=vboxusers
+GROUPNAME=users
 LOG="/var/log/vbox-install.log"
 NOLSB=%NOLSB%
 
diff -rupN VirtualBox-3.0.8_OSE/src/VBox/VMM/VM.cpp new-vbox/src/VBox/VMM/VM.cpp
--- VirtualBox-3.0.8_OSE/src/VBox/VMM/VM.cpp	2009-10-02 05:10:58.000000000 -0400
+++ new-vbox/src/VBox/VMM/VM.cpp	2009-10-07 21:21:48.539633099 -0400
@@ -4,6 +4,13 @@
  */
 
 /*
+ * Modified by Richard Lapointe 2009-10-08
+ * richard_at_laprjns.com
+ * Changed "/etc/init.d/vboxdrv" to "/etc/rc.d/rc.vboxdrv" in 3 places
+ *
+ * 
+ * 
+ * 
  * Copyright (C) 2006-2007 Sun Microsystems, Inc.
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
@@ -290,7 +297,8 @@ VMMR3DECL(int)   VMR3Create(uint32_t cCP
                     pszError = N_("One of the kernel modules was not successfully loaded. Make sure "
                                   "that no kernel modules from an older version of VirtualBox exist. "
                                   "Then try to recompile and reload the kernel modules by executing "
-                                  "'/etc/init.d/vboxdrv setup' as root");
+                                  "'/etc/rc.d/rc.vboxdrv setup' as root"
+                                  "You may need to install the kernel source package to do this");
                     break;
 #endif
 
@@ -335,7 +343,8 @@ VMMR3DECL(int)   VMR3Create(uint32_t cCP
                     pszError = N_("VirtualBox kernel driver not loaded. The vboxdrv kernel module "
                                   "was either not loaded or /dev/vboxdrv is not set up properly. "
                                   "Re-setup the kernel module by executing "
-                                  "'/etc/init.d/vboxdrv setup' as root");
+                                  "'/etc/rc.d/rc.vboxdrv setup' as root"
+                                  "You may need to install the kernel source package to do this");
 #else
                     pszError = N_("VirtualBox kernel driver not loaded");
 #endif
@@ -377,7 +386,8 @@ VMMR3DECL(int)   VMR3Create(uint32_t cCP
                     pszError = N_("VirtualBox kernel driver not installed. The vboxdrv kernel module "
                                   "was either not loaded or /dev/vboxdrv was not created for some "
                                   "reason. Re-setup the kernel module by executing "
-                                  "'/etc/init.d/vboxdrv setup' as root");
+                                  "'/etc/rc.d/rc.vboxdrv setup' as root"
+                                  "You may need to install the kernel source package to do this");
 #else
                     pszError = N_("VirtualBox kernel driver not installed");
 #endif
